Texto

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 24% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft ShapeString.svg Formato de texto
Next: Dimensão Draft Dimension.svg Arrow-right.svg

Draft Text.svg Draft Text

Menu location
Annotation → Text
Workbenches
Draft, Arch
Default shortcut
T E
Introduced in version
0.7
See also
Draft Label, Draft ShapeString

Descrição

The Draft Text.svg Draft Text command creates a multi-line text at a given point.

To create a text element with an arrow use the Draft Label command instead.

Draft Text example.png

Single point required to position the text

Utilização

See also: Draft Tray and Draft Snap.

  1. There are several ways to invoke the command:
    • Press the Draft Text.svg Draft Text button.
    • Select the Annotation → Draft Text.svg Text option from the menu.
    • Use the keyboard shortcut: T then E.
  2. The Text task panel opens. See Options for more information.
  3. Pick a point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  4. Enter the desired text, press Enter to start a new line.
  5. Press Enter twice or press the Button valid.svg Create text button to finish the command.

Opções

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox, displayed in FreeCAD version 0.19 and earlier, has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating texts. The shortcut does not work in the second task panel. This option is not available in the first task panel in FreeCAD version 0.19 and earlier.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notas

Propriedades

See also: Property editor.

A Draft Text object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated.

Data

Base

  • DadosPlacement (Placement): specifies the position of the text in the 3D view. See Placement.
  • DadosText (StringList): specifies the contents of the text. Each item in the list represents a new text line.

Vista

Annotation

  • VistaAnnotation Style (Enumeration): specifies the annotation style applied to the text. See Draft AnnotationStyleEditor.
  • VistaScale Multiplier (Float): specifies the general scaling factor applied to the text.

Display Options

  • VistaDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by its DadosPlacement. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

  • VistaLine Color (Color): not used.
  • VistaLine Width (Float): not used.

Text

  • VistaFont Name (Font): specifies the font used to draw the text. It can be a font name, such as Arial, a default style such as sans, serif or mono, a family such as Arial,Helvetica,sans, or a name with a style such as Arial:Bold. If the given font is not found on the system, a default font is used instead.
  • VistaFont Size (Length): specifies the size of the letters. The text can be invisible in the 3D view if this value is very small.
  • VistaJustification (Enumeration): specifies if the alignment of the text: Left, Center or Right.
  • VistaLine Spacing (Float): specifies the factor applied to the default line height of the text.
  • VistaText Color (Color): specifies the color of the text.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Text use the make_text method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeText method.

text = make_text(string, placement=None, screen=False)
  • Creates a text object, at placement, which can be a FreeCAD.Placement, but also a FreeCAD.Rotation or a FreeCAD.Vector.
  • string is a string or a list of strings. If it is a list, each element is displayed on its own line.
  • If screen is True, the text always faces the camera, otherwise it is displayed in a plane defined by its DadosPlacement.

The view properties of text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()


Arrow-left.svg Previous: Draft ShapeString.svg Formato de texto
Next: Dimensão Draft Dimension.svg Arrow-right.svg